%define debug_package %{nil}
%define         srcname       separate+
%define         moname        gimp20-separate
%define         plugindir     %{_libdir}/gimp/2.0/plug-ins
%define __python %{__python3}


Name:           gimp-plugin-separate
Version:        0.5.8
Release:        %mkrel 9
Summary:        CYMK plugins for the GIMP graphic editor
License:        GPLv2+
Group:          Graphics/Editors and Converters

URL:            http://cue.yellowmagic.info/softwares/separate-plus/index.html
Source0:        http://sourceforge.jp/projects/separate-plus/downloads/47873/%{srcname}-%{version}.zip
Patch0:         lcms2.patch

BuildRequires:  pkgconfig(gimp-2.0)
BuildRequires:  gtk+2-devel
BuildRequires:  pkgconfig(lcms2)
BuildRequires:  jpeg-devel
BuildRequires:  pkgconfig(libtiff-4)
Requires:       gimp >= 2.8.0

Provides:       %{srcname} = %{version}

%description
Separate+ is a project and plug-ins package aimed mainly for
complementing color management functionality of GIMP and for assisting
publication (Web, printing etc.) activities by utilizing open source
software. This package includes three plug-ins: a plug-in for RGB to
CMYK conversion, saving and soft-proofing; a plug-in for RGB to RGB
conversion and profile management, and finally a plug-in for importing
CMYK TIFF files.


%prep
%setup -q  -n %{srcname}-%{version}
%autopatch -p1

%build
%make CM="-DENABLE_COLOR_MANAGEMENT %optflags" \
      LDFLAGS="%ldflags" TIFF_LIB="-ltiff" JPEG_LIB="-ljpeg -lm"
      


%install
%makeinstall_std INSTALLDIR="%{buildroot}/%{plugindir}" \
      LOCALEDIR="%{buildroot}/%{_datadir}/locale"
%find_lang %{moname}



%files -f %{moname}.lang
%doc README README_ICC_COLORSPACE
%plugindir/separate
%plugindir/separate_import
%plugindir/icc_colorspace



%changelog
* Sun Feb 14 2016 umeabot <umeabot> 0.5.8-9.mga6
+ Revision: 960296
- Mageia 6 Mass Rebuild

* Wed Sep 09 2015 neoclust <neoclust> 0.5.8-8.mga6
+ Revision: 874987
- Fix build with new rpm ( empty debuginfo)

* Wed Oct 15 2014 umeabot <umeabot> 0.5.8-7.mga5
+ Revision: 751062
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.8-6.mga5
+ Revision: 679581
- Mageia 5 Mass Rebuild

* Fri Aug 01 2014 spuhler <spuhler> 0.5.8-5.mga5
+ Revision: 659111
- added lcms2 patch
- using python3
- changed BuildRequires: pkgconfig(lcms) >= 1.16 to pkgconfig(lcms2) >= 2.2
  * we want to obsolete lcms

* Sun Apr 27 2014 eatdirt <eatdirt> 0.5.8-4.mga5
+ Revision: 618507
- Rebuild (old age)

* Fri Oct 18 2013 umeabot <umeabot> 0.5.8-3.mga4
+ Revision: 504829
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.5.8-2.mga3
+ Revision: 351561
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Editors -> Graphics/Editors and Converters

* Thu Dec 06 2012 eatdirt <eatdirt> 0.5.8-1.mga3
+ Revision: 327600
- imported package gimp-plugin-separate


* Thu Dec 06 2012 Chris Ringeval <dirteat@gmail.com> 0.5.8-1.mga3
- Import separate+ plug-in for the GIMP
